Name: kdar
Version: 2.0.4
Release: alt0.M24.1

Summary: the KDE Disk ARchiver

Packager: Vitaly Lipatov <lav@altlinux.ru>

License: GPL
Group: Archiving/Compression
Url: http://kdar.sourceforge.net/

Source: %name-%version.tar.bz2

BuildPreReq: gcc-c++ hostinfo kdelibs-devel libdar-devel libqt3-devel zlib-devel bzlib-devel
BuildPreReq: menu-devel xml-utils libdnet-devel

%description
KDar is the KDE Disk archiver, a disk-based archiving and backup
utility.
KDar is built around the "disk archive library" by Denis Corbin,
and is similar in function to his "DAR" program. DAR is somewhat
analogous to the "tape archiver" shell command "tar", but is
better suited for backups onto disk-based media, such as CD-R's,
DVD's, Jazz, Zip, other hard-drives, etc.
KDar can perform differential backups, which means that it can
quickly store the differences between a recent full backup and
the current state of your data.
KDar supports strong encryption based on the blowfish algorithm.

%prep
%setup -q

%__subst "s/\.la/\.so/g" configure

%build

LDFLAGS="-lkwalletclient";export LDFLAGS

%configure	--with-pic \
				--disable-rpath \
       		--disable-debug \
				--enable-final

%make_build

%install
%make_install DESTDIR=%buildroot install

# menu
%__mkdir_p %buildroot%_menudir

%Md2m "%name" "Applications/Archiving/Compression" \
		%buildroot%_datadir/applnk/Utilities/%name.desktop \
	   %buildroot%_menudir/%name


%find_lang %name --with-kde
#%find_lang %name

%post
%update_menus

%postun
%clean_menus


%files -f %name.lang
%_bindir/*
%_datadir/icons/hicolor/*/*/*
%_datadir/icons/locolor/*/*/*
%_datadir/*/*/*.desktop
%_datadir/apps/kdar
%_menudir/*

%changelog
* Thu Apr 07 2005 Alexey Borovskoy <alb@altlinux.ru> 2.0.4-alt0.M24.1
- New version
- Backport to Master 2.4
- Spec cleanup
- Change Group to Archiving/Compression

* Fri Mar 04 2005 Vitaly Lipatov <lav@altlinux.ru> 2.0.1-alt1
- first build for ALT Linux Sisyphus
